%define name    chbg
%define version 1.3
%define release 1mdk
%define group   Graphics
%define section Multimedia/%{group}
%define title   ChBg
%define summary %{title} - Desktop background manager/changer/screensaver

Summary:       %{summary}
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       http://chbg.sourceforge.net/sw/%{name}-%{version}.tar.bz2
Source1:       %{name}_16x16.xpm.bz2
Source2:       %{name}_32x32.xpm.bz2
Source3:       %{name}_48x48.xpm.bz2
Source4:       http://chbg.sourceforge.net/sw/po/fr/%{name}-fr.mo.bz2
Source5:       http://chbg.sourceforge.net/sw/po/ja/%{name}-ja.mo.bz2
Source6:       http://chbg.sourceforge.net/sw/po/sk/%{name}-sk.mo.bz2
URL:           http://chbg.sourceforge.net
License:     GPL
Group:         %{group}
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:        %{_prefix}
Requires:      glibc, XFree86-libs, gdk-pixbuf-devel
BuildRequires: gettext-devel, gdk-pixbuf-devel

%description
%{title} is for changing desktop backgrounds in a given period. It can
render images with 10 modes (such as tiled, centered, scaled, etc.). It
uses Imlib1, Imlib2, or gdk_pixbuf for loading images, so it supports
many image formats.  This version uses gdk-pixbuf.
%{title} has a windowed setup program, is able to load setup files, 
can be used as slideshow picture previewer in its own window or as a
desktop background, and can be used as screensaver or as an xscreensaver
hack. It has a dialog for fast previewing of pictures and very usable
thumbnail previews.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure --with-intl-includes=%{_datadir}/gettext/intl \
    --with-image-library=gdkpixbuf \
    --disable-gnome # don't install Gnome menu informations
    #--with-image-library=auto

%make

%install
rm -rf %buildroot
%makeinstall

# install icons
mkdir -p %buildroot{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
bzip2 -cd %{SOURCE1} > %buildroot%{_miconsdir}/%{name}.xpm
bzip2 -cd %{SOURCE2} > %buildroot%{_iconsdir}/%{name}.xpm
bzip2 -cd %{SOURCE3} > %buildroot%{_liconsdir}/%{name}.xpm

# menu stuff
mkdir -p %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):\
    command="%{_bindir}/%{name}" \
    needs="x11" \
    icon="%{name}.xpm" \
    section="%{section}" \
    title="%{title}" \
    longtitle="%{summary}"
EOF

# update locale
mkdir -p %buildroot%{_datadir}/locale/{fr,ja,sk}/LC_MESSAGES
bzip2 -cd %{SOURCE4} > %buildroot%{_datadir}/locale/fr/LC_MESSAGES/chbg.mo
bzip2 -cd %{SOURCE5} > %buildroot%{_datadir}/locale/ja/LC_MESSAGES/chbg.mo
bzip2 -cd %{SOURCE6} > %buildroot%{_datadir}/locale/sk/LC_MESSAGES/chbg.mo

# touch the default sysconfig file so that it can be included
mkdir -p %buildroot%{_sysconfdir}
touch %buildroot%{_sysconfdir}/chbgrc

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO chbgrc.sample xscreensaver*txt 
%{_bindir}/chbg
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%doc %{_mandir}/man*/*
%attr(644,root,root) %config(noreplace,missingok) %{_sysconfdir}/chbgrc

%changelog
* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- upgraded by Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	- New release
	- Uses gdk-pixbuf explicitely (or however that's spelled *G*)
	- Slimmed down Requires: line to only require what THIS package directly 
  	requires

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk 
- rebuild

* Wed Nov 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
- updated to 1.2

* Thu Oct 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- used srpm from  Alexander Skwar <ASkwar@linux-mandrake.com> :
	First Mandrake version
